# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['mxcubecore',
 'mxcubecore.Command',
 'mxcubecore.Command.exporter',
 'mxcubecore.HardwareObjects',
 'mxcubecore.HardwareObjects.ALBA',
 'mxcubecore.HardwareObjects.DESY',
 'mxcubecore.HardwareObjects.EMBL',
 'mxcubecore.HardwareObjects.ESRF',
 'mxcubecore.HardwareObjects.ESRF.queue_entry',
 'mxcubecore.HardwareObjects.Gphl',
 'mxcubecore.HardwareObjects.LNLS',
 'mxcubecore.HardwareObjects.MAXIV',
 'mxcubecore.HardwareObjects.Native',
 'mxcubecore.HardwareObjects.SOLEIL',
 'mxcubecore.HardwareObjects.SOLEIL.PX1',
 'mxcubecore.HardwareObjects.SOLEIL.PX2',
 'mxcubecore.HardwareObjects.abstract',
 'mxcubecore.HardwareObjects.abstract.sample_changer',
 'mxcubecore.HardwareObjects.mockup',
 'mxcubecore.configuration',
 'mxcubecore.configuration.soleil_px2.diffractometer',
 'mxcubecore.model',
 'mxcubecore.queue_entry',
 'mxcubecore.utils']

package_data = \
{'': ['*'],
 'mxcubecore.configuration': ['alba_xaloc13/*',
                              'alba_xaloc13/gphl_beamline_config/*',
                              'desy_p11/*',
                              'embl_hh_p13/*',
                              'embl_hh_p13/eh1/*',
                              'embl_hh_p13/oh1/*',
                              'embl_hh_p14/*',
                              'embl_hh_p14/eh1/*',
                              'embl_hh_p14/eh1/attocubeMotors/*',
                              'embl_hh_p14/eh1/beamFocusingMotors/*',
                              'embl_hh_p14/eh1/slitsMotors/*',
                              'embl_hh_p14/gphl_beamline_config/*',
                              'embl_hh_p14/oh1/*',
                              'embl_hh_pe2/*',
                              'embl_hh_pe2/eh2/*',
                              'esrf_id13/*',
                              'esrf_id231/*',
                              'esrf_id231/ccd/*',
                              'esrf_id231/eh1/*',
                              'esrf_id231/filters/*',
                              'esrf_id231/oh1/*',
                              'esrf_id231/pen/*',
                              'esrf_id231/procedures/*',
                              'esrf_id231/valves/*',
                              'esrf_id231/wago/*',
                              'esrf_id29/*',
                              'esrf_id29/ccd/*',
                              'esrf_id29/exp/*',
                              'esrf_id29/filters/*',
                              'esrf_id29/oh/*',
                              'esrf_id29/oh/motors/*',
                              'esrf_id29/procedures/*',
                              'esrf_id29/wago/*',
                              'esrf_id30a2/*',
                              'esrf_id30a2/gphl_beamline_config/*',
                              'esrf_id30b/*',
                              'esrf_id30b/gphl_beamline_config/*',
                              'lnls_manaca/*',
                              'lnls_sol/*',
                              'mockup/*',
                              'mockup/gphl/*',
                              'mockup/gphl/scripts/*',
                              'mockup/gphl/test_samples/3n0s/*',
                              'mockup/gphl/test_samples/4iej/*',
                              'mockup/gphl/test_samples/4j8p/*',
                              'mockup/gphl/test_samples/4jrl/*',
                              'mockup/gphl/test_samples/4k4k/*',
                              'mockup/gphl/test_samples/4k61/*',
                              'mockup/gphl/test_samples/4kh8/*',
                              'mockup/gphl/test_samples/4kw2/*',
                              'mockup/gphl/test_samples/4mxt/*',
                              'mockup/gphl/test_samples/5g0f/*',
                              'mockup/gphl/test_samples/5y6h/*',
                              'mockup/gphl/test_samples/germanate/*',
                              'mockup/gphl/test_samples/thermolysin/*',
                              'mockup/qt/*',
                              'mockup/test/*',
                              'mockup/web/*',
                              'soleil/px2/mockfedex/gphl_beamline_config/*',
                              'soleil/px2/mockups/gphl_beamline_config/*',
                              'soleil/px2/mockups/singleton_objects/*',
                              'soleil/px2/production/gphl_beamline_config/*',
                              'soleil/px2/production/singleton_objects/*',
                              'soleil_px1/*',
                              'soleil_px2/*',
                              'test/*'],
 'mxcubecore.configuration.soleil_px2.diffractometer': ['exporter/*',
                                                        'tango_events/*',
                                                        'tango_polling/*']}

install_requires = \
['Pillow>=9.3.0,<10.0.0',
 'PyDispatcher>=2.0.6,<3.0.0',
 'colorama>=0.4.6,<0.5.0',
 'f90nml==1.4.3',
 'gevent>=21.12.0,<22.0.0',
 'gipc>=1.4.0,<2.0.0',
 'greenlet>=1.1.3,<2.0.0',
 'ispyb-client>=1.0.0,<2.0.0',
 'jsonpickle>=2.2.0,<3.0.0',
 'jsonschema>=4.17.1,<5.0.0',
 'lucid3>=3.0.0,<4.0.0',
 'lxml>=4.9.1,<5.0.0',
 'psutil>=5.9.4,<6.0.0',
 'py4j==0.10.9.7',
 'pydantic>=1.10.2,<2.0.0',
 'python-ldap>=3.4.0,<4.0.0',
 'requests>=2.31.0,<3.0.0',
 'ruamel.yaml>=0.17.21,<0.18.0',
 'suds-py3==1.4.5.0',
 'typing-extensions>=4.3.0,<5.0.0']

extras_require = \
{':python_full_version <= "3.10.0"': ['tomli>=2.0.1,<3.0.0'],
 ':python_version == "3.7"': ['matplotlib==3.5.3',
                              'numpy==1.21.6',
                              'scipy==1.7.3',
                              'importlib_metadata>=4.12.0'],
 ':python_version >= "3.8"': ['matplotlib>=3.6.2,<4.0.0',
                              'numpy>=1.23.5,<2.0.0',
                              'scipy>=1.9.3,<2.0.0'],
 'tango': ['PyTango>=9.3.6,<10.0.0']}

setup_kwargs = {
    'name': 'mxcubecore',
    'version': '1.6.0',
    'description': 'Core libraries for the MXCuBE application',
    'long_description': '[![License: LGPL v3](https://img.shields.io/badge/License-LGPL%20v3-blue.svg)](https://www.gnu.org/licenses/lgpl-3.0)\n\n# Backend of MXCuBE\nmxcubecore is the back-end level of [MXCuBE Qt](https://github.com/mxcube/mxcube/) and [MXCuBE Web](https://github.com/mxcube/mxcube3/)  allowing to access the beamline control system and instrumentation. It acts as a container of single python objects (called hardware objects).\n\nPlease read the [contributing guidlines](https://github.com/mxcube/mxcubecore/blob/master/CONTRIBUTING.md/) before submiting your code to the repository.\n\n\nMXCuBE is free software: you can redistribute it and/or modify\nit under the terms of the GNU Lesser General Public License as published by\nthe Free Software Foundation, either version 3 of the License, or\n(at your option) any later version.\n\nMXCuBE is distributed in the hope that it will be useful,\nbut WITHOUT ANY WARRANTY; without even the implied warranty of\nMERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\nGNU Lesser General Public License for more details.\n\nYou should have received a copy of the GNU Lesser General Public License\nalong with MXCuBE. If not, see <https://www.gnu.org/licenses/>.\n\n# Installation\n\nInstallation of the mxubecore module is commonly done as a depdency of either [MXCuBE Web](https://github.com/mxcube/mxcube3/) or [MXCuBE Qt](https://github.com/mxcube/mxcube/).\n\nStandalone installation of the moudle can be done via poetry `poetry install` or for development purpouses (creating a symlink to the current folder) by using pip: `pip install -e .`. Don\'t forget the trailing "." (period).\n\nmxcubecore depends on python-ldap that in turn depends on the openldap system library. It can be installed through conda by installing the openldap depdency: `conda install openldap` or on systems using apt-get: `sudo apt-get install -y libldap2-dev libsasl2-dev slapd ldap-utils tox lcov valgrind`. See [python-ldap](https://www.python-ldap.org/en/python-ldap-3.4.3/installing.html#debian) for more information.\n',
    'author': 'The MXCuBE collaboration',
    'author_email': 'mxcube@esrf.fr',
    'maintainer': 'Marcus Oscarsson',
    'maintainer_email': 'mxcube@esrf.fr',
    'url': 'http://github.com/mxcube/mxcubecore',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'python_requires': '>=3.7,<3.11',
}


setup(**setup_kwargs)
